Create User

Create User
Create user

This endpoint is used to create a new user in the system.
Authorized Roles : SYSTEM_ADMIN or INFRA_ADMIN or DSM_ADMIN

Request
URI
POST
https://{api_host}/provider/users
COPY
Request Body

Request body containing user details for creation.

userRequestDto of type(s) application/json
Required
{
    "email": "string",
    "password": "string"
}
string
email
Required

email

string As ^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9])(?=.*?[?!@#$%^&*])[A-Za-z\d?!@#$%^&*]{8,20}$
password
Required

password

Authentication
This operation uses the following authentication methods.
Responses
201

User successfully created.

Returns dmsUserResponseDto of type(s) application/vnd.vmware.dms-v1+json
{
    "id": 0,
    "email": "string",
    "_links": {
        "_links": {
            "href": "string",
            "hreflang": "string",
            "title": "string",
            "type": "string",
            "deprecation": "string",
            "profile": "string",
            "name": "string",
            "templated": false
        }
    }
}

400

Bad request. The provided input data is invalid.

Returns ErrorDto of type(s) application/vnd.vmware.dms-v1+json
{
    "message": "string",
    "errorCodes": {
        "type": "string"
    }
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"email":"string","password":"string"}' https://{api_host}/provider/users